我还建议在层“0”上嵌入块和ENDBLK实体,以避免潜在的不可压缩层。
- (defun creationbois ( nom dim1 dim2 )
- (if (not (tblsearch "block" nom))
- (progn
- (entmake (list '(0 . "BLOCK") '(8 . "0") (cons 2 nom) (list 10 (/ dim1 2.0) dim2) '(70 . 0)))
- (foreach x
- (list
- (list '(10 0 0) (list 11 dim1 0))
- (list (list 10 dim1 0) (list 11 dim1 dim2))
- (list (list 10 dim1 dim2) (list 11 0 dim2))
- (list (list 10 0 dim2) '(11 0 0))
- (list '(10 0 0) (list 11 dim1 dim2))
- (list (list 10 0 dim2) (list 11 dim1 0))
- )
- (entmake (list '(0 . "LINE") '(8 . "_LU BOIS") (car x) (cadr x)))
- )
- (entmake '((0 . "ENDBLK") (8 . "0")))
- )
- )
- )
|